Enables basic storage and retrieval of dates and times.

### Hierarchy

- Date

## Index

### Methods

- getDate
- getDay
- getFullYear
- getHours
- getMilliseconds
- getMinutes
- getMonth
- getSeconds
- getTime
- getTimezoneOffset
- getUTCDate
- getUTCDay
- getUTCFullYear
- getUTCHours
- getUTCMilliseconds
- getUTCMinutes
- getUTCMonth
- getUTCSeconds
- setDate
- setFullYear
- setHours
- setMilliseconds
- setMinutes
- setMonth
- setSeconds
- setTime
- setUTCDate
- setUTCFullYear
- setUTCHours
- setUTCMilliseconds
- setUTCMinutes
- setUTCMonth
- setUTCSeconds
- toDateString
- toISOString
- toJSON
- toLocaleDateString
- toLocaleString
- toLocaleTimeString
- toString
- toTimeString
- toUTCString
- valueOf

## Methods

### getDate

- getDate(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:745

  Gets the day-of-the-month, using local time.

  #### Returns number

### getDay

- getDay(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:749

  Gets the day of the week, using local time.

  #### Returns number

### getFullYear

- getFullYear(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:737

  Gets the year, using local time.

  #### Returns number

### getHours

- getHours(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:753

  Gets the hours in a date, using local time.

  #### Returns number

### getMilliseconds

- getMilliseconds(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:765

  Gets the milliseconds of a Date, using local time.

  #### Returns number

### getMinutes

- getMinutes(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:757

  Gets the minutes of a Date object, using local time.

  #### Returns number

### getMonth

- getMonth(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:741

  Gets the month, using local time.

  #### Returns number

### getSeconds

- getSeconds(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:761

  Gets the seconds of a Date object, using local time.

  #### Returns number

### getTime

- getTime(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:735

  Gets the time value in milliseconds.

  #### Returns number

### getTimezoneOffset

- getTimezoneOffset(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:769

  Gets the difference in minutes between the time on the local computer and Universal Coordinated Time (UTC).

  #### Returns number

### getUTCDate

- getUTCDate(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:747

  Gets the day-of-the-month, using Universal Coordinated Time (UTC).

  #### Returns number

### getUTCDay

- getUTCDay(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:751

  Gets the day of the week using Universal Coordinated Time (UTC).

  #### Returns number

### getUTCFullYear

- getUTCFullYear(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:739

  Gets the year using Universal Coordinated Time (UTC).

  #### Returns number

### getUTCHours

- getUTCHours(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:755

  Gets the hours value in a Date object using Universal Coordinated Time (UTC).

  #### Returns number

### getUTCMilliseconds

- getUTCMilliseconds(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:767

  Gets the milliseconds of a Date object using Universal Coordinated Time (UTC).

  #### Returns number

### getUTCMinutes

- getUTCMinutes(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:759

  Gets the minutes of a Date object using Universal Coordinated Time (UTC).

  #### Returns number

### getUTCMonth

- getUTCMonth(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:743

  Gets the month of a Date object using Universal Coordinated Time (UTC).

  #### Returns number

### getUTCSeconds

- getUTCSeconds(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:763

  Gets the seconds of a Date object using Universal Coordinated Time (UTC).

  #### Returns number

### setDate

- setDate(date: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:832

  Sets the numeric day-of-the-month value of the Date object using local time.

  #### Parameters

  - ##### date: number

    A numeric value equal to the day of the month.

  #### Returns number

### setFullYear

- setFullYear(year: number, month?: undefined | number, date?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:856

  Sets the year of the Date object using local time.

  #### Parameters

  - ##### year: number

    A numeric value for the year.

  - ##### Optional month: undefined | number

    A zero-based numeric value for the month (0 for January, 11 for December). Must be specified if numDate is specified.

  - ##### Optional date: undefined | number

    A numeric value equal for the day of the month.

  #### Returns number

### setHours

- setHours(hours: number, min?: undefined | number, sec?: undefined | number, ms?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:819

  Sets the hour value in the Date object using local time.

  #### Parameters

  - ##### hours: number

    A numeric value equal to the hours value.

  - ##### Optional min: undefined | number

    A numeric value equal to the minutes value.

  - ##### Optional sec: undefined | number

    A numeric value equal to the seconds value.

  - ##### Optional ms: undefined | number

    A numeric value equal to the milliseconds value.

  #### Returns number

### setMilliseconds

- setMilliseconds(ms: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:779

  Sets the milliseconds value in the Date object using local time.

  #### Parameters

  - ##### ms: number

    A numeric value equal to the millisecond value.

  #### Returns number

### setMinutes

- setMinutes(min: number, sec?: undefined | number, ms?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:804

  Sets the minutes value in the Date object using local time.

  #### Parameters

  - ##### min: number

    A numeric value equal to the minutes value.

  - ##### Optional sec: undefined | number

    A numeric value equal to the seconds value.

  - ##### Optional ms: undefined | number

    A numeric value equal to the milliseconds value.

  #### Returns number

### setMonth

- setMonth(month: number, date?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:843

  Sets the month value in the Date object using local time.

  #### Parameters

  - ##### month: number

    A numeric value equal to the month. The value for January is 0, and other month values follow consecutively.

  - ##### Optional date: undefined | number

    A numeric value representing the day of the month. If this value is not supplied, the value from a call to the getDate method is used.

  #### Returns number

### setSeconds

- setSeconds(sec: number, ms?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:791

  Sets the seconds value in the Date object using local time.

  #### Parameters

  - ##### sec: number

    A numeric value equal to the seconds value.

  - ##### Optional ms: undefined | number

    A numeric value equal to the milliseconds value.

  #### Returns number

### setTime

- setTime(time: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:774

  Sets the date and time value in the Date object.

  #### Parameters

  - ##### time: number

    A numeric value representing the number of elapsed milliseconds since midnight, January 1, 1970 GMT.

  #### Returns number

### setUTCDate

- setUTCDate(date: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:837

  Sets the numeric day of the month in the Date object using Universal Coordinated Time (UTC).

  #### Parameters

  - ##### date: number

    A numeric value equal to the day of the month.

  #### Returns number

### setUTCFullYear

- setUTCFullYear(year: number, month?: undefined | number, date?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:863

  Sets the year value in the Date object using Universal Coordinated Time (UTC).

  #### Parameters

  - ##### year: number

    A numeric value equal to the year.

  - ##### Optional month: undefined | number

    A numeric value equal to the month. The value for January is 0, and other month values follow consecutively. Must be supplied if numDate is supplied.

  - ##### Optional date: undefined | number

    A numeric value equal to the day of the month.

  #### Returns number

### setUTCHours

- setUTCHours(hours: number, min?: undefined | number, sec?: undefined | number, ms?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:827

  Sets the hours value in the Date object using Universal Coordinated Time (UTC).

  #### Parameters

  - ##### hours: number

    A numeric value equal to the hours value.

  - ##### Optional min: undefined | number

    A numeric value equal to the minutes value.

  - ##### Optional sec: undefined | number

    A numeric value equal to the seconds value.

  - ##### Optional ms: undefined | number

    A numeric value equal to the milliseconds value.

  #### Returns number

### setUTCMilliseconds

- setUTCMilliseconds(ms: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:784

  Sets the milliseconds value in the Date object using Universal Coordinated Time (UTC).

  #### Parameters

  - ##### ms: number

    A numeric value equal to the millisecond value.

  #### Returns number

### setUTCMinutes

- setUTCMinutes(min: number, sec?: undefined | number, ms?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:811

  Sets the minutes value in the Date object using Universal Coordinated Time (UTC).

  #### Parameters

  - ##### min: number

    A numeric value equal to the minutes value.

  - ##### Optional sec: undefined | number

    A numeric value equal to the seconds value.

  - ##### Optional ms: undefined | number

    A numeric value equal to the milliseconds value.

  #### Returns number

### setUTCMonth

- setUTCMonth(month: number, date?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:849

  Sets the month value in the Date object using Universal Coordinated Time (UTC).

  #### Parameters

  - ##### month: number

    A numeric value equal to the month. The value for January is 0, and other month values follow consecutively.

  - ##### Optional date: undefined | number

    A numeric value representing the day of the month. If it is not supplied, the value from a call to the getUTCDate method is used.

  #### Returns number

### setUTCSeconds

- setUTCSeconds(sec: number, ms?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:797

  Sets the seconds value in the Date object using Universal Coordinated Time (UTC).

  #### Parameters

  - ##### sec: number

    A numeric value equal to the seconds value.

  - ##### Optional ms: undefined | number

    A numeric value equal to the milliseconds value.

  #### Returns number

### toDateString

- toDateString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:723

  Returns a date as a string value.

  #### Returns string

### toISOString

- toISOString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:867

  Returns a date as a string value in ISO format.

  #### Returns string

### toJSON

- toJSON(key?: any): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:869

  Used by the JSON.stringify method to enable the transformation of an object's data for JavaScript Object Notation (JSON) serialization.

  #### Parameters

  - ##### Optional key: any

  #### Returns string

### toLocaleDateString

- toLocaleDateString(): string
- toLocaleDateString(locales?: string | string[], options?: DateTimeFormatOptions): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:729

  Returns a date as a string value appropriate to the host environment's current locale.

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:4235

  Converts a date to a string by using the current or specified locale.

  #### Parameters

  - ##### Optional locales: string | string[]

    A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.

  - ##### Optional options: DateTimeFormatOptions

    An object that contains one or more properties that specify comparison options.

  #### Returns string

### toLocaleString

- toLocaleString(): string
- toLocaleString(locales?: string | string[], options?: DateTimeFormatOptions): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:727

  Returns a value as a string value appropriate to the host environment's current locale.

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:4229

  Converts a date and time to a string by using the current or specified locale.

  #### Parameters

  - ##### Optional locales: string | string[]

    A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.

  - ##### Optional options: DateTimeFormatOptions

    An object that contains one or more properties that specify comparison options.

  #### Returns string

### toLocaleTimeString

- toLocaleTimeString(): string
- toLocaleTimeString(locales?: string | string[], options?: DateTimeFormatOptions): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:731

  Returns a time as a string value appropriate to the host environment's current locale.

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:4242

  Converts a time to a string by using the current or specified locale.

  #### Parameters

  - ##### Optional locales: string | string[]

    A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used.

  - ##### Optional options: DateTimeFormatOptions

    An object that contains one or more properties that specify comparison options.

  #### Returns string

### toString

- toString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:721

  Returns a string representation of a date. The format of the string depends on the locale.

  #### Returns string

### toTimeString

- toTimeString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:725

  Returns a time as a string value.

  #### Returns string

### toUTCString

- toUTCString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:865

  Returns a date converted to a string using Universal Coordinated Time (UTC).

  #### Returns string

### valueOf

- valueOf(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:733

  Returns the stored time value in milliseconds since midnight, January 1, 1970 UTC.

  #### Returns number

Generated using TypeDoc